export default {
  common: {
    appName: 'Sun-Panel',
    add: 'Add',
    addSuccess: 'Added successfully',
    edit: 'Edit',
    editSuccess: 'Edited successfully',
    editFail: 'Edit failed',
    delete: 'Delete',
    deleteSuccess: 'Deleted successfully',
    deleteFail: 'Delete failed',
    save: 'Save',
    saveSuccess: 'Saved successfully',
    saveFail: 'Save failed',
    reset: 'Reset',
    action: 'Action',
    export: 'Export',
    exportSuccess: 'Exported successfully',
    import: 'Import',
    importSuccess: 'Imported successfully',
    yes: 'Yes',
    no: 'No',
    confirm: 'Confirm',
    cancel: 'Cancel',
    warning: 'Warning',
    download: 'Download',
    noData: 'No data available',
    success: 'Operation successful',
    failed: 'Operation failed',
    uploadFail: 'Upload failed',
    repeatLater: 'Please try again later',
    verify: 'Verify',
    inputPlaceholder: 'Please enter',
    inputPlaceholderByText: 'Please enter {text}',
    deleteConfirm: 'Are you sure you want to delete?',
    deleteConfirmByName: 'Are you sure you want to delete {name}?',
    username: 'Username',
    nikeName: 'Nickname',
    password: 'Password',
    serverError: 'Server error',
    unknownError: 'Unknown error',
    role: {
      regularUser: 'Regular',
      admin: 'Admin',
    },
    leastOne: 'Please keep at least one',
    icon: 'Icon',
    style: 'Style',
    show: 'Show',
    text: 'Text',
    textColor: 'Text color',
    sort: 'Sort',
    saveSort: 'Save sort',
    language: 'Language',
    refreshPage: 'Please refresh the page',
    continue: 'Continue',
    title: 'Title',
    image: 'Image',
    backgroundColor: 'Background color',
    description: 'Description',
  },
  form: {
    required: 'Required field',
  },
  panelHome: {
    openLanUrl: 'Open LAN URL',
    openWanUrl: 'Open WAN URL',
    changeToLanModel: 'Switch to LAN mode',
    changeToWanModel: 'Switch to WAN mode',
    goToLogin: 'Go to login',
    changeToLanModelSuccess: 'Switched to LAN mode (mode status saved locally)',
    changeToWanModelSuccess: 'Switched to WAN mode (mode status saved locally)',
  },
  appLauncher: {
    title: 'System Applications & Settings',
  },
  login: {
    loginButton: 'Login',
    usernamePlaceholder: 'Enter username',
    passwordPlaceholder: 'Enter password',
    welcomeMessage: 'Welcome back!',
  },
  settingUserInfo: {
    updatePassword: 'Change password',
    oldPassword: 'Old password',
    newPassword: 'New password',
    confirmPassword: 'Confirm new password',
    confirmPasswordInconsistentMsg: 'Passwords do not match',
    logout: 'Logout',
    confirmLogoutText: 'Are you sure you want to logout?',
    logoutSuccess: 'You have safely logged out. Looking forward to seeing you again!',
  },
  adminSettingUsers: {
    appName: 'User Management',
    passwordPlaceholder: 'Enter password',
    EditpasswordPlaceholder: 'Enter new password, leave blank to keep the current password',
    role: 'Role',
    formRules: {
      usernameRequired: 'Enter username with at least 5 characters',
      roleRequired: 'Please select a role',
      passwordLimit: '6-20 characters',
    },
    alertText: 'Data between accounts is not shared',
    userCountText: 'Total {count} users',
    deletePromptContent: 'Are you sure you want to delete {name} ({username})?',
    currentUseUsername: 'Current username',
    setOrUnsetPublicMode: 'Set/Unset public access',
    pblicText: 'Public',
  },
  deskModule: {
    searchBox: {
      openWithNewOpen: 'Open in new window',
      inputPlaceholder: 'Enter search content',
    },
    clock: {
      mon: 'Monday',
      tue: 'Tuesday',
      wed: 'Wednesday',
      thu: 'Thursday',
      fri: 'Friday',
      sat: 'Saturday',
      sun: 'Sunday',
    },
    systemMonitor: {
      systemState: 'System status',
      diskMountPoint: 'Mount point',
      progressColor: 'Main color',
      progressRailColor: 'Secondary color',
      cpuState: 'CPU status',
      memoryState: 'Memory status',
      diskState: 'Disk status',
    },
  },
  iconItem: {
    add: 'Add item',
    edit: 'Edit item',
    url: 'URL',
    lanUrl: 'LAN URL',
    getIcon: 'Get icon',
    geticonFail: 'Failed to get icon',
    openMethod: 'Open method',
    onlineIcon: 'Online icon',
    onlineIconLibrary: 'Online icon library',
    inputIconName: 'Enter icon name',
    inputIconUrlOrUpload: 'Enter icon URL or upload',
    selectUpload: 'Local upload',
    currentPageOpen: 'Open in current page',
    newWindowOpen: 'Open in new window',
    currentPageLayerOpen: 'Open in current page as layer',
    getGroupFail: 'Failed to get group information',
    iconGroup: 'Group',
    lanUrlInputPlaceholder: 'http(s):// (LAN mode, will redirect to this address)',
  },
  apps: {
    baseSettings: {
      appName: 'Basic Settings',
      configSaved: 'Configuration saved',
      configFailed: 'Configuration save failed, {message}',
      show: 'Show',
      hideTitle: 'Hide title',
      textContent: 'Text content',
      clock: 'Clock component',
      clockSecondShow: 'Show seconds',
      searchBar: 'Search bar component',
      searchBarShow: 'Configuration saved',
      searchBarSearchItem: 'Allow search bar to search items',
      systemMonitorStatus: 'System status component',
      showTitle: 'Show title',
      publicVisitModeShow: 'Allow public mode display',
      hideDescription: 'Hide description information',
      wallpaper: 'Wallpaper',
      uploadOrDragText: 'Click to upload or drag and drop into the box to replace the image',
      vague: 'Blur',
      mask: 'Mask',
      contentArea: 'Content area',
      maxWidth: 'Max width',
      leftRightMargin: 'Left-right margin',
      topMargin: 'Top margin',
      bottomMargin: 'Bottom margin',
      customFooter: 'Custom footer',
      resetWarnText: 'Are you sure you want to reset these styles?',
      detailIcon: 'Detail icon',
      smallIcon: 'Small icon',
    },
    itemGroupManage: {
      appName: 'Group Management',
      deleteWarnText: 'Are you sure you want to delete this group [{name}]? The application icons in this group will be lost after deletion.',
      groupName: 'Group name',
    },
    exportImport: {
      appName: 'Export/Import',
      tip: 'Importing icon configuration data will not clear existing icon data',
      export: 'Export configuration',
      import: 'Import configuration',
      selectImportData: 'Select the configuration data to import',
      selectExportData: 'Select the configuration data to export',
      fileModified: 'The file has been modified, import with caution',
      warnConfigFileLow: 'The configuration file version is too low but compatible',
      softwareVersionLow: 'The current software version may be too old and may not be compatible with this configuration file. It is recommended to update the software to the latest version before importing again.',
      errorConfigFileLow: 'The configuration file version is too low and cannot be compatible',
      errorConfigFileFormat: 'The configuration file format is incorrect and cannot be imported',
      moduleIcon: 'Icon configuration',
      moduleStyle: 'Style configuration',
    },
    userInfo: {
      appName: 'My Information',
    },
    about: {
      appName: 'About',
      viewUpdateLog: 'Click here to view update log',
      issue: 'Feedback:',
      QQGroup: 'QQ Group:',
      QR: 'QR Code (Recommended)',
      author: 'Author:',
      donate: '🧧 Donate',
    },
    uploadsFileManager: {
      appName: 'Uploads File Management',
      copyLink: 'Copy link',
      infoTitle: 'File details',
      fileName: 'Original file name',
      path: 'File path',
      uploadTime: 'Upload time',
      deleteWarningText: 'Cannot be recovered after deletion. Are you sure you want to continue?',
      copySuccess: 'Link copied successfully. You can paste it in the address bar.',
      copyFailed: 'Copy failed',
      setWallpaper: 'Set as wallpaper',
      alertText: 'Here you can manage wallpapers and icons you have uploaded.',
      nothingText: 'You haven\'t uploaded any images yet.',
    },
  },
}
